package gov.va.med.esr.webservices.jaxws.spring.security;

import javax.crypto.SecretKey;

/**
 * Cache providers should implement this interface.
 * 
 * @author Muddaiah Ranga
 * @version 3.0
 */
public interface KeyCache 
{
	/**
	 * Gets the key from the cache.
	 */
	public SecretKey getKey();
	
	/**
	 * Sets the key in the cache.
	 */
	public void setKey(SecretKey key);
}
